CREATE TABLE ben_elig_obj_elig_profl_f (
    ELIG_OBJ_ELIG_PRFL_ID     NUMBER(18, 0),
    EFFECTIVE_START_DATE      DATE         ,
    EFFECTIVE_END_DATE        DATE         ,
    ELIG_OBJ_ID               NUMBER(18, 0)    NOT NULL,
    ELIG_PRFL_ID              NUMBER(18, 0)    NOT NULL,
    MNDTRY_FLAG               VARCHAR2(4)      NOT NULL,
    BUSINESS_GROUP_ID         NUMBER(18, 0)    NOT NULL,
    BEP_ATTRIBUTE_CATEGORY    VARCHAR2(600),
    BEP_ATTRIBUTE1            VARCHAR2(120),
    BEP_ATTRIBUTE2            VARCHAR2(120),
    BEP_ATTRIBUTE3            VARCHAR2(120),
    BEP_ATTRIBUTE4            VARCHAR2(120),
    BEP_ATTRIBUTE5            VARCHAR2(120),
    BEP_ATTRIBUTE6            VARCHAR2(120),
    BEP_ATTRIBUTE7            VARCHAR2(120),
    BEP_ATTRIBUTE8            VARCHAR2(120),
    BEP_ATTRIBUTE9            VARCHAR2(120),
    BEP_ATTRIBUTE10           VARCHAR2(120),
    BEP_ATTRIBUTE11           VARCHAR2(120),
    BEP_ATTRIBUTE12           VARCHAR2(120),
    BEP_ATTRIBUTE13           VARCHAR2(120),
    BEP_ATTRIBUTE14           VARCHAR2(120),
    BEP_ATTRIBUTE15           VARCHAR2(120),
    BEP_ATTRIBUTE16           VARCHAR2(120),
    BEP_ATTRIBUTE17           VARCHAR2(120),
    BEP_ATTRIBUTE18           VARCHAR2(120),
    BEP_ATTRIBUTE19           VARCHAR2(120),
    BEP_ATTRIBUTE20           VARCHAR2(120),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    ELIG_OBJ_ELIG_PRFL_ID     NUMBER(18, 0),
    EFFECTIVE_START_DATE      DATE         ,
    EFFECTIVE_END_DATE        DATE         ,
    ELIG_OBJ_ID               NUMBER(18, 0)    NOT NULL,
    ELIG_PRFL_ID              NUMBER(18, 0)    NOT NULL,
    MNDTRY_FLAG               VARCHAR2(4)      NOT NULL,
    BUSINESS_GROUP_ID         NUMBER(18, 0)    NOT NULL,
    BEP_ATTRIBUTE_CATEGORY    VARCHAR2(600),
    BEP_ATTRIBUTE1            VARCHAR2(120),
    BEP_ATTRIBUTE2            VARCHAR2(120),
    BEP_ATTRIBUTE3            VARCHAR2(120),
    BEP_ATTRIBUTE4            VARCHAR2(120),
    BEP_ATTRIBUTE5            VARCHAR2(120),
    BEP_ATTRIBUTE6            VARCHAR2(120),
    BEP_ATTRIBUTE7            VARCHAR2(120),
    BEP_ATTRIBUTE8            VARCHAR2(120),
    BEP_ATTRIBUTE9            VARCHAR2(120),
    BEP_ATTRIBUTE10           VARCHAR2(120),
    BEP_ATTRIBUTE11           VARCHAR2(120),
    BEP_ATTRIBUTE12           VARCHAR2(120),
    BEP_ATTRIBUTE13           VARCHAR2(120),
    BEP_ATTRIBUTE14           VARCHAR2(120),
    BEP_ATTRIBUTE15           VARCHAR2(120),
    BEP_ATTRIBUTE16           VARCHAR2(120),
    BEP_ATTRIBUTE17           VARCHAR2(120),
    BEP_ATTRIBUTE18           VARCHAR2(120),
    BEP_ATTRIBUTE19           VARCHAR2(120),
    BEP_ATTRIBUTE20           VARCHAR2(120),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    CONSTRAINT pk_ben_elig_obj_elig_profl_f PRIMARY KEY (ELIG_OBJ_ELIG_PRFL_ID, EFFECTIVE_START_DATE, EFFECTIVE_END_DATE, ELIG_OBJ_ELIG_PRFL_ID, EFFECTIVE_START_DATE, EFFECTIVE_END_DATE)
);
